Page MenuHomeFreeBSD

net: prefer ETHER_ADDR_LEN over ETH_ADDR_LEN
ClosedPublic

Authored by jacob.e.keller_intel.com on Aug 12 2019, 10:53 PM.

Details

Summary

A couple of drivers and one place in if.c use ETH_ADDR_LEN, even though
net/ethernet.h provides an equivalent ETHER_ADDR_LEN definition.

Cleanup all of the locations which refer to ETH_ADDR_LEN to use the
standard ETHER_ADDR_LEN instead.

Signed-off-by: Jacob Keller <jacob.e.keller@intel.com>

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lwhsu added a subscriber: scottl.Sep 14 2019, 1:37 PM
erj added a reviewer: scottl.Nov 4 2019, 9:48 PM
erj set the repository for this revision to rS FreeBSD src repository.
erj added a reviewer: jpaetzel.Nov 4 2019, 9:49 PM
erj added a subscriber: jpaetzel.

Adding @jpaetzel since he seemed to be the last person making updates to oce(4); is this change ok to make there? There's no functional change.

jpaetzel accepted this revision.Nov 4 2019, 9:59 PM

For the OCE change that is fine.

erj updated this revision to Diff 63939.Nov 4 2019, 10:05 PM

Update patch to make it build on HEAD

erj updated this revision to Diff 63940.Nov 4 2019, 10:54 PM

Don't remove the extra whitespace in if.c

erj accepted this revision.Nov 4 2019, 10:56 PM
This revision is now accepted and ready to land.Nov 4 2019, 10:56 PM
This revision was automatically updated to reflect the committed changes.